function [ni,b0,b1] = calks (data)

% 	calks (data)
%
% Fonction qui évalue la normalité de file. On considère une 
% distribution nomale de data lorsque d <= dc (d critique selon
% Legendre 1984).  Si d > dc, une transformation 
%	log10 (b1*data + b0)
% est testé pour la normalité.
% 
% Input:  file -> échantillon
% Output: ni   -> 0 si la distribution de l'échantillon est normale
%	       -> 1 si la distribution de log10 (data) est normale
%	       -> 2 si ni 0, ni 1

  l  = length(data);

% Valeur critique de d selon le niveau de signification de 0.05 
% Table B de Legendre (1984) 

  dc = 0.886/sqrt(l);

% Kstest sur l'échantillon original

  [d, prob] = kstest (data);

% Test sur valeur de d

  if (d > dc)
    disp(['   Transformation logarithmique de data'])
    [dd,pp,b1,b0] = minimumd (data);
    data = log10 (data*b1+b0);
    [d, prob] = kstest (data);
    if (d > dc)
	disp(['   Distribution de la transformation logarithmique de data n''est pas normale']) 
	ni = 2;
    elseif (d <= dc)
	disp(['   Distribution de la transformation logarithmique de data est normale'])
	disp(['   Le niveau de signification est de ' num2str(prob)])
    	ni = 1;
    end
  elseif (d <= dc)
    disp (['   La distribution de data est normale'])
    disp (['   Le niveau de signification est de ' num2str(prob)])
    ni = 0;
  end
  